## ros-kinetic-dbw-fca-can 1.0.9

=== tests/CMakeLists.txt ===
### Unit tests
#
#   Only configured when CATKIN_ENABLE_TESTING is true.

# These dependencies are only needed for unit testing
find_package(roslaunch REQUIRED)

# Check all the launch/*.launch files
roslaunch_add_file_check(../launch)

# Unit tests
catkin_add_gtest(${PROJECT_NAME}_test_module_version test_module_version.cpp)
target_link_libraries(${PROJECT_NAME}_test_module_version ${catkin_LIBRARIES})

catkin_add_gtest(${PROJECT_NAME}_test_pedal_lut test_pedal_lut.cpp)
target_link_libraries(${PROJECT_NAME}_test_pedal_lut ${catkin_LIBRARIES})

catkin_add_gtest(${PROJECT_NAME}_test_platform_map test_platform_map.cpp)
target_link_libraries(${PROJECT_NAME}_test_platform_map ${catkin_LIBRARIES})

catkin_add_gtest(${PROJECT_NAME}_test_platform_version test_platform_version.cpp)
target_link_libraries(${PROJECT_NAME}_test_platform_version ${catkin_LIBRARIES})

=== debian/changelog ===
ros-kinetic-dbw-fca-can (1.0.9-1xenial) xenial; urgency=high

  * Update firmware versions
  * Report NAN for signals that are unavailable/faulted
  * Add door commands
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 14 Feb 2020 05:00:00 -0000

ros-kinetic-dbw-fca-can (1.0.8-1xenial) xenial; urgency=high

  * Add launch file argument to switch between Jeep and Pacifica URDF models
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 17 Oct 2019 04:00:00 -0000

ros-kinetic-dbw-fca-can (1.0.7-1xenial) xenial; urgency=high

  * Added argument to enable/disable CAN message filtering on DBW message range
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 Sep 2019 04:00:00 -0000

ros-kinetic-dbw-fca-can (1.0.6-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Updated website maintenance link
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 13 Aug 2019 04:00:00 -0000

ros-kinetic-dbw-fca-can (1.0.5-1xenial) xenial; urgency=high

  * Extend licensing to each module
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 24 Jul 2019 04:00:00 -0000

ros-kinetic-dbw-fca-can (1.0.4-1xenial) xenial; urgency=high

  * Added support for non-hybrid brake report values
  * Added gear number to ThrottleInfoReport
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 11 Jul 2019 04:00:00 -0000

ros-kinetic-dbw-fca-can (1.0.3-1xenial) xenial; urgency=high

  * Added warnings for unknown and unsupported command types
  * Added FORD_C1 platform
  * Added fuel level report message
  * Added casts to force single precision floating point math
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 03 May 2019 04:00:00 -0000

ros-kinetic-dbw-fca-can (1.0.2-1xenial) xenial; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 14 Mar 2019 04:00:00 -0000

ros-kinetic-dbw-fca-can (1.0.1-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Added support for firmware change that uses SVEL resolution of 4 deg/s
  * Refactored tcpNoDelay() for subscribers
  * Added missing tests for PlatformVersion.h
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 01 Mar 2019 05:00:00 -0000

ros-kinetic-dbw-fca-can (1.0.0-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Added BTYPE (brake type) bit
  * Added CMD_DECEL brake command type (only for non-hybrid platforms)
  * Added dataspeed_ulc_can to dbw.launch
  * Added throttlePercentFromPedal lookup table function and corresponding test
  * Use the ${catkin_EXPORTED_TARGETS} macro for target dependencies
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

ros-kinetic-dbw-fca-can (0.0.2-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Added platform FCA_WK2 (Jeep Grand Cherokee)
  * Force forwarding of brake command type when ABS module is present (instead of BPEC module)
  * Disengage on any fault for brake/throttle/steering (change AND to OR)
  * Added cruise control buttons
  * Latch firmware version on any change (previously only latched once)
  * Changed pedal_luts default from true to false (forward command type by default now)
  * Disregard overrides on unused subsystems using the TIMEOUT bit
  * Removed cruise control related buttons that are not implemented by firmware at this time
  * Fixed typo in nodelets.xml of dbw_fca_can
  * Renamed steering CMD_TYPE and TMODE
  * Set CXX_STANDARD to C++11 only when necessary
  * Use sign of wheel speeds to set sign of vehicle speed
  * Removed unused dependencies and includes
  * Removed steering debug message
  * Handle version message with a map/database of several platform/module combinations (ported from dbw_mkz_can)
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 23 Oct 2018 04:00:00 -0000

ros-kinetic-dbw-fca-can (0.0.1-1xenial) xenial; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 08 Aug 2018 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-dbw-fca-can
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-can-msgs, ros-kinetic-catkin, ros-kinetic-dbw-fca-msgs, ros-kinetic-geometry-msgs, ros-kinetic-nodelet, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-kinetic-dbw-fca-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-can-msgs, ros-kinetic-dataspeed-can-usb, ros-kinetic-dataspeed-ulc-can, ros-kinetic-dbw-fca-description, ros-kinetic-dbw-fca-msgs, ros-kinetic-geometry-msgs, ros-kinetic-nodelet, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: Drive-by-wire interface to the Dataspeed Inc.
 Chrysler Pacifica DBW kit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-dbw-fca-can//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
